<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

logMessage(LOG_NOTICE, 'Begin page: ' . basename(__FILE__));

require_once('lib/Cluster.inc');

?>

<h2><?php print $gMenuStructure['vip']['submenu']['configuration']['title'] . ' ' . $aVip['ip_address']; ?></h2>

<table border="1" cellpadding="3" cellspacing="0" width="50%">
  <tr><td><strong>IP address:</strong></td><td><?php print $aVip['ip_address']; ?></td></tr>
  <tr><td><strong>Service name:</strong></td><td><?php print $aVip['name']; ?></td></tr>
  <tr><td><strong>IPaddr type:</strong></td><td><?php print $aVip['ipaddr_type']; ?></td></tr>
  <tr><td><strong>Interface:</strong></td><td><?php print $aVip['interface']; ?></td></tr>
  <tr><td><strong>Alias:</strong></td><td><?php print $aVip['alias']; ?></td></tr>
  <?php
	list($ret, $aServer) = readServerById($aVip['primary_id']);
  ?>
  <tr><td><strong>Primary location:</strong></td><td><?php print $aServer['name']; ?></td></tr>
  <?php
	list($ret, $aServer) = readServerById($aVip['failover_id']);
  ?>
  <tr><td><strong>Failover location:</strong></td><td><?php print $aServer['name']; ?></td></tr>
  <?php
	list($ret, $aServer) = readServerById($aVip['location_id']);
  ?>
  <tr><td><strong>Actual location:</strong></td><td><?php print $aServer['name']; ?></td></tr>
  <?php
	list($ret, $aCluster) = getClusterById($dbh, $aVip['cluster_id']);
  ?>
  <tr><td><strong>Cluster:</strong></td><td><?php print $aCluster['name']; ?></td></tr>
</table>

<!-- for javascript stuff -->
<input type="hidden" id="vip_id" name="vip_id" value="<?php print $aVip['vip_id']; ?>" />

<p>
<input type="button" value="Edit VIP" onclick="location.href='index.php?f=edit&amp;o=vip&amp;vip_id=<?php print $aVip['vip_id']; ?>';" />
&nbsp;
<button id="opener">Delete VIP</button>
</p>


<div id="dialog-confirm" title="Delete VIP?">
<p><span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>This VIP will be permantely deleted from the repository. Are you sure?</p>
</div>

<script src="js/vip.show.configuration.js"></script>
