<?php

//
// Copyright (C) 2013, 2014 FromDual GmbH
//
// This program is commercial software. Use of this software is governed
// by your applicable license agreement with FromDual GmbH
//

logMessage(LOG_NOTICE, 'Begin page: ' . basename(__FILE__));

?>

<script src="js/node.start.js"></script>

<h1>Starting node <?php print $aNode['name']; ?></h1>

<p>Starting node <?php print $aNode['name']; ?>...</p>


<?php

// todo: Check if node is already started!
// todo: We do this synchronously. Lets see if it is enough.
list($ret, $msg) = checkDatabaseConnect($aNode);
if ( $ret == 0 ) {
  $rc = 886;
  print "<p>Database is already running (rc=$rc).</p>\n";
  print "<p><input type='button' value='Back' onclick='window.history.back();'></p>\n";
  exit($rc);
}


// startNodeLocal($aServer, $aNode)

?>

<div id="start-message"><img src="img/hourglass.gif" alt="hourglass.gif" title="Please wait" /></div>
<script> document.getElementById("start-message").hidden = true; </script>


<?php

// pingNodeRemote($aServer, $aNode)

?>

<div id="ping-message"><img src="img/hourglass.gif" alt="hourglass.gif" title="Please wait" /></div>
<script> document.getElementById("ping-message").hidden = true; </script>


<?php

// testNode($dbh, $aNode, false)

?>

<div id="test-message"><img src="img/hourglass.gif" alt="hourglass.gif" title="Please wait" /></div>
<script> document.getElementById("test-message").hidden = true; </script>


<?php



// // Check database connect
// list($ret, $val) = checkDatabaseConnect($aNode);
// if ( $ret == OK ) {
//   print "<p>Starting node successful!</p>\n";
// 
//   // Test node
//   $cnt = 0;
//   list($cnt, $aChecks) = testNode($dbh, $aNode, false);
//   if ( $cnt != OK ) {
//     $rc = 885;
//     $aFailed = array();
//     foreach ( $aChecks as $check => $result ) {
//       if ( $result[0] != OK ) {
//         array_push($aFailed, $check);
//       }
//     }
//     print "<p>Testing node " . $aNode['name'] . " failed: " . implode(', ', $aFailed) . " (rc=$rc)</p>\n";
//     $cnt++;
//   }
// }
// else {
//   print "<p>$val (rc=$ret)</p>\n";
// }

?>

<p><input type="button" value="Continue" onclick="javascript:location.href='index.php?f=show&amp;o=node&amp;s=operations&amp;node_id=<?php print $hNodeId; ?>';" /></p>

<script>

window.onload = startAndTestNode(<?php print $aNode['node_id']; ?>);

</script>

<?php

logMessage(LOG_NOTICE, 'End page: ' . basename(__FILE__));

?>